Function
score
Returns the score for aligning the characters seq1[pos1] and seq2[pos2]. This function allows to define a position-dependent scoring scheme.
score(score, value1, value2) [deprecated]
score(score, pos1, pos2, seq1, seq2)
Include Headers
seqan/score.h
Parameters

score | A scoring scheme. The scoring scheme to use. Types: Score, Score
value1 | Aligned character in the first sequence.
value2 | Aligned character in the second sequence.
pos1 | Position of the aligned character in seq1.
pos2 | Position of the aligned character in seq2.
seq1 | First sequence.
seq2 | Second sequence.

Status
The version that explicitely requires two characters is deprecated. For using (or defining) custom scoring schemes better use the functions score, scoreGapOpenVertical, scoreGapExtendVertical, scoreGapOpenHorizontal and scoreGapExtendHorizontal as they require character positions and sequences and allow for position-dependent scoring schemes.
Member of
Score
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48